Your current version is EstimatorXpress 2015 or older


EstimatorXpress v6 support was stopped in 2011.


If you are still running EstimatorXpress v6 you will need to upgrade to EstimatorXpress 2018 if you want to use it with any of the following:

Windows Vista
Windows 7
Windows 8
Windows 10


Office 2007
Office 2010
Office 2013
Office 2016


If you are still running EstimatorXpress v7 you will need to upgrade to EstimatorXpress 2018 if you want to use it with any of the following:

Windows 7 64bit
Windows 8
Windows 10

Office 2007 SP2
Office 2010
Office 2013
Office 2016



If you are still running EstimatorXpress v8 you will need to upgrade to EstimatorXpress 2018 if you want to use it with any of the following:


Office 2010 (requires EstimatorXpress v8.09 or later)


Office 2013
Office 2016





Did you find it helpful? Yes No

Send feedback
Sorry we couldn't be helpful. Help us improve this article with your feedback.

Modified on: Fri, 27 Apr, 2018 at 3:41 PM